org.apache.xmlbeans.impl.common

## Class IOUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.common.IOUtil

    public class IOUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IOUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `copyCompletely(InputStream input, OutputStream output)`
`static void` `copyCompletely(Reader input, Writer output)`
`static void` `copyCompletely(URI input, URI output)`
`static File` `createDir(File rootdir, String subdir)`
`static Path` `getTempDir()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IOUtil

    public IOUtil()

### Method Detail

#### copyCompletely

    public static void copyCompletely(InputStream input,
                                      OutputStream output)
                               throws IOException

Throws:
  `IOException`

#### copyCompletely

    public static void copyCompletely(Reader input,
                                      Writer output)
                               throws IOException

Throws:
  `IOException`

#### copyCompletely

    public static void copyCompletely(URI input,
                                      URI output)
                               throws IOException

Throws:
  `IOException`

#### createDir

    public static File createDir(File rootdir,
                                 String subdir)

#### getTempDir

    public static Path getTempDir()